package com.acme.structure.component;

import java.awt.Color;

import java.io.Serializable;


public class RowProperties implements Serializable
{
    private int rowWidth, rowHeight;
    private Color selectedColor, standardColor, textColor;
    private boolean selectedRow = false;
    private boolean updateable = false;

    public int getRowHeight()
    {
        return rowHeight;
    }

    public void setRowHeight(int rowHeight)
    {
        this.rowHeight = rowHeight;
    }

    public int getRowWidth()
    {
        return rowWidth;
    }

    public void setRowWidth(int rowWidth)
    {
        this.rowWidth = rowWidth;
    }

    public Color getSelectedColor()
    {
        return selectedColor;
    }

    public void setSelectedColor(Color selectedColor)
    {
        this.selectedColor = selectedColor;
    }

    public Color getStandardColor()
    {
        return standardColor;
    }

    public void setStandardColor(Color standardColor)
    {
        this.standardColor = standardColor;
    }

    public Color getTextColor()
    {
        return textColor;
    }

    public void setTextColor(Color textColor)
    {
        this.textColor = textColor;
    }

    public void setSelectedRow(boolean selectedRow)
    {
        this.selectedRow = selectedRow;
    }

    public boolean isSelectedRow()
    {
        return selectedRow;
    }

    public void setUpdateable(boolean updated)
    {
        this.updateable = updated;
    }

    public boolean isUpdateable()
    {
        return updateable;
    }
}
